Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025083
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-05 16:332013-12-20 15:09
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision732f4e39f2c5
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025083: When Web POS request 2 times to create an order by error, the order shouldn't go to "error while importing pos data"

DescriptionWhen Web POS request 2 times to create an order by error, the second order shouldn't go to "error while importing pos data"

I should check that order Id exists and not create the error.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062089)
hgbot (developer)
2013-11-12 13:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 732f4e39f2c5c58c72cf121d211b30c6695bb2cd
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Nov 12 13:04:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]

Fixed issue 25083: When Web POS request 2 times to create an order by error, the order shouldn't go to error while importing pos data

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062201)
hgbot (developer)
2013-11-18 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 732f4e39f2c5c58c72cf121d211b30c6695bb2cd
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Nov 12 13:04:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]

Fixed issue 25083: When Web POS request 2 times to create an order by error, the order shouldn't go to error while importing pos data

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062276)
guilleaer (developer)
2013-11-20 09:32

verified
(0062569)
hgbot (developer)
2013-12-05 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 732f4e39f2c5c58c72cf121d211b30c6695bb2cd
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Nov 12 13:04:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]

Fixed issue 25083: When Web POS request 2 times to create an order by error, the order shouldn't go to error while importing pos data

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062625)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062897)
hgbot (developer)
2013-12-19 19:46

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 732f4e39f2c5c58c72cf121d211b30c6695bb2cd
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Nov 12 13:04:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]

Fixed issue 25083: When Web POS request 2 times to create an order by error, the order shouldn't go to error while importing pos data

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0063002)
guilleaer (developer)
2013-12-20 15:09

reclosed

- Issue History
Date Modified Username Field Change
2013-11-05 16:33 jecharri New Issue
2013-11-05 16:33 jecharri Assigned To => marvintm
2013-11-05 16:33 jecharri Triggers an Emergency Pack => No
2013-11-11 12:26 malsasua Assigned To marvintm => malsasua
2013-11-12 13:04 hgbot Checkin
2013-11-12 13:04 hgbot Note Added: 0062089
2013-11-12 13:04 hgbot Status new => resolved
2013-11-12 13:04 hgbot Resolution open => fixed
2013-11-12 13:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]
2013-11-18 12:55 hgbot Checkin
2013-11-18 12:55 hgbot Note Added: 0062201
2013-11-18 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]
2013-11-20 09:32 guilleaer Review Assigned To => guilleaer
2013-11-20 09:32 guilleaer Note Added: 0062276
2013-11-20 09:32 guilleaer Status resolved => closed
2013-11-20 09:32 guilleaer Fixed in Version => RMP29
2013-12-05 12:11 hgbot Checkin
2013-12-05 12:11 hgbot Note Added: 0062569
2013-12-05 12:11 hgbot Status closed => resolved
2013-12-05 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]
2013-12-05 17:21 guilleaer Note Added: 0062625
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:46 hgbot Checkin
2013-12-19 19:46 hgbot Note Added: 0062897
2013-12-19 19:46 hgbot Status closed => resolved
2013-12-19 19:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/732f4e39f2c5c58c72cf121d211b30c6695bb2cd [^]
2013-12-20 15:09 guilleaer Note Added: 0063002
2013-12-20 15:09 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker